import React from 'react';
import { DefaultListingPageProps } from '../types';
interface ConfigProps extends Omit<DefaultListingPageProps, 'type'> {
}
declare type ListingPageProviderProps = {
    children: React.ReactNode;
    config: ConfigProps;
};
export declare function ListingPageProvider({ config, children, }: ListingPageProviderProps): JSX.Element;
export declare function useListingConfig(): DefaultListingPageProps;
export {};
